Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WebAppComponentMBean

All Known Subinterfaces:
  WebServiceComponentMBean

public interface WebAppComponentMBean
extends ComponentMBean, WebDeploymentMBean

Provides methods for configuring a J2EE web application that is deployed on a WebLogic Server instance. WebLogic Server instantiates this interface only when you deploy a web application.

This interface can configure web applications that are deployed as a WAR file or an exploded directory.

Fields inherited from class weblogic.management.configuration.ComponentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.WebDeploymentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAuthFilter()`
`java.lang.String` | `getAuthRealmName()`
`int` | `getServletReloadCheckSecs()` How often WebLogic checks whether a servlet has been modified, and if so reloads it.
`int` | `getSingleThreadedServletPoolSize()` Defines the size of the pool used for SingleThreadModle instance pools.
`boolean` | `isCleanupSessionFilesEnabled()`
`boolean` | `isIndexDirectoryEnabled()` Return whether or not to automatically generate an HTML directory listing if no suitable index file is found
`boolean` | `isPreferWebInfClasses()` If true, classes located in the WEB-INF directory of a web-app will be loaded in preference to classes loaded in the application or system classloader.
`boolean` | `isServletExtensionCaseSensitive()` Deprecated.
`boolean` | `isSessionDebuggable()`
`boolean` | `isSessionMonitoringEnabled()` If true, then runtime mbeans will be created for sessions, otherwise, they will not.
`void` | `setAuthFilter(java.lang.String name)` Sets the AuthFilter Servlet class which will be called before and after all authentication and authorization checks in the WebApplication
`void` | `setAuthRealmName(java.lang.String name)` Sets the Realm in the Basic Authentication HTTP dialog box which pops up on the browsers
`void` | `setContextPath(java.lang.String p)`
`void` | `setIndexDirectoryEnabled(boolean enable)` Sets whether or not to automatically generate an HTML directory listing if no suitable index file is found
`void` | `setPreferWebInfClasses(boolean b)`
`void` | `setServletExtensionCaseSensitive(boolean enable)`
`void` | `setServletReloadCheckSecs(int secs)`
`void` | `setSessionCacheSize(int size)`
`void` | `setSessionCookieComment(java.lang.String comment)`
`void` | `setSessionCookieDomain(java.lang.String domain)`
`void` | `setSessionCookieMaxAgeSecs(int secs)`
`void` | `setSessionCookieName(java.lang.String name)`
`void` | `setSessionCookiePath(java.lang.String path)`
`void` | `setSessionCookiesEnabled(boolean enable)`
`void` | `setSessionInvalidationIntervalSecs(int secs)`
`void` | `setSessionJDBCConnectionTimeoutSecs(int secs)`
`void` | `setSessionMainAttribute(java.lang.String p)`
`void` | `setSessionMonitoringEnabled(boolean e)`
`void` | `setSessionPersistentStoreCookieName(java.lang.String name)`
`void` | `setSessionPersistentStoreDir(java.lang.String dir)`
`void` | `setSessionPersistentStorePool(java.lang.String poolName)`
`void` | `setSessionPersistentStoreShared(boolean enable)`
`void` | `setSessionPersistentStoreTable(java.lang.String tableName)`
`void` | `setSessionPersistentStoreType(java.lang.String type)`
`void` | `setSessionSwapIntervalSecs(int secs)`
`void` | `setSessionTimeoutSecs(int secs)`
`void` | `setSessionURLRewritingEnabled(boolean enable)`
`void` | `setSingleThreadedServletPoolSize(int siz)`

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`activated, getActivatedTargets, getApplication, getURI, setApplication, setURI`

Methods inherited from interface weblogic.management.configuration.WebDeploymentMBean
`addVirtualHost, addWebServer, getVirtualHosts, getWebServers, removeVirtualHost, removeWebServer, setVirtualHosts, setWebServers`

Method Detail

### isIndexDirectoryEnabled

    public boolean isIndexDirectoryEnabled()

  Return whether or not to automatically generate an HTML directory listing if no suitable index file is found

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.httpd.indexDirectories

### setIndexDirectoryEnabled

    public void setIndexDirectoryEnabled(boolean enable)

  Sets whether or not to automatically generate an HTML directory listing if no suitable index file is found

  A configurable MBean attribute
  Default Value: false
  Old Property: weblogic.httpd.indexDirectories
  Secure Value: false
  Throws:
    java.lang.IllegalArgumentException - if the enable argument is null.

### isServletExtensionCaseSensitive

    public boolean isServletExtensionCaseSensitive()

  Deprecated.
  Treats all .extension except for .html as lower case this is only necessary on WindowsNT. This property is being depricated. The extension comparision will be case insensitive by default on Win32.

  A non-configurable MBean attribute.
  Default Value: false
  Old Property: weblogic.httpd.servlet.extensionCaseSensitive

### setServletExtensionCaseSensitive

    public void setServletExtensionCaseSensitive(boolean enable)

### getServletReloadCheckSecs

    public int getServletReloadCheckSecs()

  How often WebLogic checks whether a servlet has been modified, and if so reloads it. -1 is never reload, 0 is always reload

  Default Value: 1
  Old Property: weblogic.httpd.servlet.reloadCheckSecs

### setServletReloadCheckSecs

    public void setServletReloadCheckSecs(int secs)
                                   throws javax.management.InvalidAttributeValueException

### getSingleThreadedServletPoolSize

    public int getSingleThreadedServletPoolSize()

  Defines the size of the pool used for SingleThreadModle instance pools.

  Default Value: 5
  Old Property: weblogic.httpd.servlet.SingleThreadedModelPoolSize

### setSingleThreadedServletPoolSize

    public void setSingleThreadedServletPoolSize(int siz)
                                          throws javax.management.InvalidAttributeValueException

### setAuthRealmName

    public void setAuthRealmName(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  Sets the Realm in the Basic Authentication HTTP dialog box which pops up on the browsers

  Default Value: "weblogic"

### getAuthRealmName

    public java.lang.String getAuthRealmName()

### setAuthFilter

    public void setAuthFilter(java.lang.String name)

  Sets the AuthFilter Servlet class which will be called before and after all authentication and authorization checks in the WebApplication

  Default Value: null

### getAuthFilter

    public java.lang.String getAuthFilter()

### setSessionURLRewritingEnabled

    public void setSessionURLRewritingEnabled(boolean enable)

### setSessionCacheSize

    public void setSessionCacheSize(int size)
                             throws javax.management.InvalidAttributeValueException

### setSessionCookiesEnabled

    public void setSessionCookiesEnabled(boolean enable)

### setSessionCookieComment

    public void setSessionCookieComment(java.lang.String comment)
                                 throws javax.management.InvalidAttributeValueException

### setSessionCookieDomain

    public void setSessionCookieDomain(java.lang.String domain)
                                throws javax.management.InvalidAttributeValueException

### setSessionCookieMaxAgeSecs

    public void setSessionCookieMaxAgeSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### setSessionCookieName

    public void setSessionCookieName(java.lang.String name)
                              throws javax.management.InvalidAttributeValueException

### setSessionCookiePath

    public void setSessionCookiePath(java.lang.String path)
                              throws javax.management.InvalidAttributeValueException

### setSessionInvalidationIntervalSecs

    public void setSessionInvalidationIntervalSecs(int secs)
                                            throws javax.management.InvalidAttributeValueException

### setSessionJDBCConnectionTimeoutSecs

    public void setSessionJDBCConnectionTimeoutSecs(int secs)
                                             throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreDir

    public void setSessionPersistentStoreDir(java.lang.String dir)
                                      throws javax.management.InvalidAttributeValueException

### setSessionPersistentStorePool

    public void setSessionPersistentStorePool(java.lang.String poolName)
                                       throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreTable

    public void setSessionPersistentStoreTable(java.lang.String tableName)
                                        throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreShared

    public void setSessionPersistentStoreShared(boolean enable)

### setSessionPersistentStoreType

    public void setSessionPersistentStoreType(java.lang.String type)
                                       throws javax.management.InvalidAttributeValueException

### setSessionPersistentStoreCookieName

    public void setSessionPersistentStoreCookieName(java.lang.String name)
                                             throws javax.management.InvalidAttributeValueException

### setSessionSwapIntervalSecs

    public void setSessionSwapIntervalSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

### setSessionTimeoutSecs

    public void setSessionTimeoutSecs(int secs)
                               throws javax.management.InvalidAttributeValueException

### isSessionDebuggable

    public boolean isSessionDebuggable()

### isCleanupSessionFilesEnabled

    public boolean isCleanupSessionFilesEnabled()

### setContextPath

    public void setContextPath(java.lang.String p)
                        throws javax.management.InvalidAttributeValueException,
                               DistributedManagementException

### setSessionMainAttribute

    public void setSessionMainAttribute(java.lang.String p)
                                 throws javax.management.InvalidAttributeValueException

### isSessionMonitoringEnabled

    public boolean isSessionMonitoringEnabled()

  If true, then runtime mbeans will be created for sessions, otherwise, they will not.

  Default Value: false

### setSessionMonitoringEnabled

    public void setSessionMonitoringEnabled(boolean e)
                                     throws javax.management.InvalidAttributeValueException

### isPreferWebInfClasses

    public boolean isPreferWebInfClasses()

  If true, classes located in the WEB-INF directory of a web-app will be loaded in preference to classes loaded in the application or system classloader.

  Default Value: false

### setPreferWebInfClasses

    public void setPreferWebInfClasses(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference